Summary:  MH mail handling system
Name: mh
Version: 6.8.3
Release: 15
Requires: sendmail
Copyright: distributable
Group: Applications/Mail
Source0: ftp.ics.uci.edu:/pub/mh/mh-6.8.tar.Z
Source1: sunsite.unc.edu:/pub/Linux/system/Mail/Mailers/mh-6.8.3-diffs.tar.gz
Patch0: mh-6.8.3-config.patch
Patch1: mh-6.8.3-misc.patch
Patch2: mh-6.8.3-dir.patch
Patch3: mh-6.8.3-make-k.patch
Patch5: mh-inetaddr.patch
Patch6: mh-6.8.3-nocrypt.patch
Patch7: mh-6.8.3-glibc.patch
Patch8: mh-6.8.4-overflows.patch

%description 
MH mail handling system (with POP support).  MH is a popular
mail handling system but includes only a command line interface.  It is
an important base, however, for programs like xmh and exmh.

%prep 
%setup -n mh-6.8.3
%patch0 -p1

mkdir patches
cd patches
zcat $RPM_SOURCE_DIR/mh-6.8.3-diffs.tar.gz | tar -xvf-
cd ..
patch -p0 -s < patches/DIFFS.linux

%patch1 -p1
%patch3 -p1

%ifarch i386 sparc
%patch2 -p1
%endif 

%patch6 -p1

%patch5 -p1

%ifarch alpha
%patch7 -p1
%endif

%patch8 -p1 -b .overflow

%build
mkdir -p /usr/bin/mh
cd conf
make mhconfig
./mhconfig MH
cd ..
make clean
make 2>&1 | cat
cd $RPM_BUILD_DIR/mh-6.8.3/sbr
make inst-lib

rm -f /usr/lib/libmh.so
ln -sf libmh.so.3.2 /usr/lib/libmh.so

cd -
make


%install
rm -rf /usr/bin/mh
make install

strip /usr/bin/mh/ali /usr/bin/mh/anno /usr/bin/mh/burst /usr/bin/mh/comp
strip /usr/bin/mh/dist /usr/bin/mh/folder /usr/bin/mh/folders /usr/bin/mh/forw
strip /usr/bin/mh/inc /usr/bin/mh/mark /usr/bin/mh/mhmail /usr/bin/mh/mhn
strip /usr/bin/mh/mhparam /usr/bin/mh/mhpath /usr/bin/mh/msgchk /usr/bin/mh/msh
strip /usr/bin/mh/next /usr/bin/mh/packf /usr/bin/mh/pick /usr/bin/mh/prev
strip /usr/bin/mh/prompter /usr/bin/mh/refile /usr/bin/mh/repl /usr/bin/mh/rmf
strip /usr/bin/mh/rmm /usr/bin/mh/scan /usr/bin/mh/send /usr/bin/mh/show
strip /usr/bin/mh/sortm /usr/bin/mh/vmh /usr/bin/mh/whatnow /usr/bin/mh/whom

/sbin/ldconfig

echo "!! SECURITY HOLE !!"
chown root.mail /usr/bin/mh/inc
chmod 6755 /usr/bin/mh/inc
# The following disables POP, but is necessary until we
# hack stuff to drop root privs when reading users mh profile.
#chmod -s /usr/bin/mh/inc /usr/bin/mh/msgchk

mkdir -p /etc/profile.d
echo "export PATH=\$PATH:/usr/bin/mh" > /etc/profile.d/mh.sh
echo "set path=(\$path /usr/bin/mh)" > /etc/profile.d/mh.csh
chmod 755 /etc/profile.d/mh.sh
chmod 755 /etc/profile.d/mh.csh

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc READ-ME FAQ CHANGES
%dir /usr/bin/mh
/etc/profile.d/mh.sh
/etc/profile.d/mh.csh
/usr/lib/libmh.so
/usr/lib/libmh.so.3.2
/usr/bin/mh/ali
/usr/bin/mh/anno
/usr/bin/mh/burst
/usr/bin/mh/comp
/usr/bin/mh/dist
/usr/bin/mh/folder
/usr/bin/mh/folders
/usr/bin/mh/forw
/usr/bin/mh/inc
/usr/bin/mh/mark
/usr/bin/mh/mhmail
/usr/bin/mh/mhn
/usr/bin/mh/mhpath
/usr/bin/mh/msgchk
/usr/bin/mh/msh
/usr/bin/mh/show
/usr/bin/mh/next
/usr/bin/mh/prev
/usr/bin/mh/packf
/usr/bin/mh/pick
/usr/bin/mh/prompter
/usr/bin/mh/refile
/usr/bin/mh/repl
/usr/bin/mh/rmf
/usr/bin/mh/rmm
/usr/bin/mh/scan
/usr/bin/mh/send
/usr/bin/mh/sortm
/usr/bin/mh/vmh
/usr/bin/mh/whatnow
/usr/bin/mh/whom
/usr/bin/mh/mhparam

%dir /usr/lib/mh
/usr/lib/mh/mtstailor
/usr/lib/mh/MailAliases
/usr/lib/mh/components
/usr/lib/mh/digestcomps
/usr/lib/mh/distcomps
/usr/lib/mh/forwcomps
/usr/lib/mh/rcvdistcomps
/usr/lib/mh/replcomps
/usr/lib/mh/mhl.digest
/usr/lib/mh/mhl.format
/usr/lib/mh/mhl.forward
/usr/lib/mh/mhl.body
/usr/lib/mh/mhl.headers
/usr/lib/mh/scan.mailx
/usr/lib/mh/scan.default
/usr/lib/mh/scan.size
/usr/lib/mh/scan.time
/usr/lib/mh/scan.timely
/usr/lib/mh/packmbox
/usr/lib/mh/mhn_defaults
/usr/lib/mh/viamail
/usr/lib/mh/ap
/usr/lib/mh/conflict
/usr/lib/mh/dp
/usr/lib/mh/install-mh
/usr/lib/mh/mhl
/usr/lib/mh/post
/usr/lib/mh/rcvdist
/usr/lib/mh/rcvpack
/usr/lib/mh/rcvstore
/usr/lib/mh/rcvtty
/usr/lib/mh/fmtdump
/usr/lib/mh/spost
/usr/lib/mh/slocal
/usr/lib/mh/tmac.h

/usr/man/man1/ali.1
/usr/man/man1/anno.1
/usr/man/man1/burst.1
/usr/man/man1/comp.1
/usr/man/man1/dist.1
/usr/man/man1/folder.1
/usr/man/man1/forw.1
/usr/man/man1/inc.1
/usr/man/man1/mark.1
/usr/man/man1/mh-chart.1
/usr/man/man1/mh.1
/usr/man/man1/mhl.1
/usr/man/man1/mhook.1
/usr/man/man1/mhmail.1
/usr/man/man1/mhn.1
/usr/man/man1/mhparam.1
/usr/man/man1/mhpath.1
/usr/man/man1/msgchk.1
/usr/man/man1/msh.1
/usr/man/man1/next.1
/usr/man/man1/packf.1
/usr/man/man1/pick.1
/usr/man/man1/prev.1
/usr/man/man1/prompter.1
/usr/man/man1/rcvstore.1
/usr/man/man1/refile.1
/usr/man/man1/repl.1
/usr/man/man1/rmf.1
/usr/man/man1/rmm.1
/usr/man/man1/scan.1
/usr/man/man1/send.1
/usr/man/man1/show.1
/usr/man/man1/slocal.1
/usr/man/man1/sortm.1
/usr/man/man1/vmh.1
/usr/man/man1/whatnow.1
/usr/man/man1/whom.1
/usr/man/man5/mh-alias.5
/usr/man/man5/mh-format.5
/usr/man/man5/mh-mail.5
/usr/man/man5/mh-profile.5
/usr/man/man5/mh-sequence.5
/usr/man/man5/mh-tailor.5
/usr/man/man8/ap.8
/usr/man/man8/conflict.8
/usr/man/man8/dp.8
/usr/man/man8/install-mh.8
/usr/man/man8/post.8
/usr/man/man8/fmtdump.8
